apiVersion: apps/v1
kind: Deployment
metadata:
  name: fulfillorderack-deployment
  labels:
    app: fulfillorderack
spec:
  replicas: 1
  selector:
    matchLabels:
      app: fulfillorderack
  template:
    metadata:
      labels:
        app: fulfillorderack
    spec:
      containers:
      - name: fulfillorderack
        image: torosent/fulfillorderack:latest
        ports:
        - containerPort: 8080
        env:
         - name: "MONGOURL"
           value: "mongodb://my-mongo-mongodb"
         - name: "TEAMNAME"
           value: "Team5_DWP1018"
         - name: "CHALLENGEAPPINSIGHTS_KEY"
           value: "a748475f-f4cc-4579-bda4-492e81748c78"
        volumeMounts:
         - mountPath: "/orders"
           name: dwpteam5claim
      volumes:
      - name: dwpteam5claim
        persistentVolumeClaim:
         claimName: dwpteam5pvc
